//
// Copyright 2004 Alan Post
//
// This file is part of voudp.
//
// voudp is free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// voudp is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
// A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// voudp; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
// Suite 330, Boston, MA  02111-1307  USA
//

#ifndef __VOUDPCONFIGD_H__
#define __VOUDPCONFIGD_H__

class Sender;
class Receiver;

class voudp_configd_t
{
public:
    voudp_configd_t();
    ~voudp_configd_t();

    int get_listen_fd() const;
    void do_config_req( Sender &sender, Receiver &receiver );

private:
    int lfd;
};

#endif // __VOUDPCONFIGD_H__
